Unit tqttxr_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, QTTXR_p;

function tqttxr: String;

implementation

function tqttxr: String;
var
N,M,I,J :Integer;
H1,H2,X :Real;
F :Array [0..1999] of Real;
RINT :Array [0..1999] of Real;
X1 :Array [0..49] of Real;
X2 :Array [0..39] of Real;
label
_1,_2,_3;
begin
Result := '';  {   }
H1 := 3.14159/49.0;
H2 := 3.14159/39.0;
N := 50;
M := 40;
X1[0] := 0.0;
X2[0] := 0.0;
X1[1] := H1/4.0;
X2[1] := H2/4.0;
for I:=3 to N do
 begin
_1:
  X1[I-1] := X1[I-3]+2.0*H1;
 end;
for J:=3 to M do
 begin
_2:
  X2[J-1] := X2[J-3]+2.0*H2;
 end;
for I:=1 to N do
 begin
  for J:=1 to M do
   begin
    X := X1[I-1]+X2[J-1];
_3:
    F[(I-1)+(J-1)*50] := Sin(X);
   end;
 end;
QTTXR(RINT,X1,X2,F,N,M);
Result := Result + Format('%20.16f %20.16f %20.16f %20.16f ',
 [RINT[0],RINT[51],RINT[(N-2)+(M-1)*50],RINT[(N-1)+(M-1)*50]]) + #$0D#$0A;
UtRes('tqttxr',Result);  {     tqttxr.res }
end;

end.
